pier 01/04/17 07:54:56
Modified: connectors Makefile.in configure configure.in
connectors/apache-1.3 mod_webapp.c
Added: connectors LICENSE.txt
Log:
Added license file
Revision Changes Path
1.2 +3 -10 jakarta-tomcat-4.0/connectors/Makefile.in
Index: Makefile.in
===================================================================
RCS file: /home/cvs/jakarta-tomcat-4.0/connectors/Makefile.in,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- Makefile.in 2001/04/17 13:07:41 1.1
+++ Makefile.in 2001/04/17 14:54:45 1.2
@@ -56,11 +56,11 @@
# ========================================================================= #
# @author Pier Fumagalli <mailto:[EMAIL PROTECTED]>
-# @version $Id: Makefile.in,v 1.1 2001/04/17 13:07:41 pier Exp $
+# @version $Id: Makefile.in,v 1.2 2001/04/17 14:54:45 pier Exp $
include Makedefs
-DIRS = lib
+DIRS = @TGTDIRS@
CFGS = config.cache \
config.log \
@@ -86,14 +86,7 @@
./scandoc/scandoc.pl -i ./scandoc/template.pl -p ./docs/ include/*.h
@touch docs
-docsclean:
- @echo Removing generated documentation files...
- @if test -d docs ; then \
- rm -f docs/* ; \
- rmdir docs ; \
- fi
-
-allclean: clean docsclean
+allclean: clean
distclean: allclean
@echo Removing configure generated files...
1.2 +57 -16 jakarta-tomcat-4.0/connectors/configure
Index: configure
===================================================================
RCS file: /home/cvs/jakarta-tomcat-4.0/connectors/configure,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- configure 2001/04/17 13:07:42 1.1
+++ configure 2001/04/17 14:54:46 1.2
@@ -12,7 +12,9 @@
ac_default_prefix=/usr/local
# Any additions from configure.in:
ac_help="$ac_help
- --with-apr=DIR where the compiled APR sources can be found [../apr]"
+ --with-apr=DIR where the compiled APR sources can be found [required]"
+ac_help="$ac_help
+ --with-apache=DIR where the Apache 1.3.x APXS utility can be found"
# Initialize some variables set by options.
# The variables have the same names as the options, with
@@ -527,7 +529,7 @@
# Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:531: checking for $ac_word" >&5
+echo "configure:533: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -557,7 +559,7 @@
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:561: checking for $ac_word" >&5
+echo "configure:563: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -608,7 +610,7 @@
# Extract the first word of "cl", so it can be a program name with args.
set dummy cl; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:612: checking for $ac_word" >&5
+echo "configure:614: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -640,7 +642,7 @@
fi
echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""...
$ac_c" 1>&6
-echo "configure:644: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works"
>&5
+echo "configure:646: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works"
>&5
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -651,12 +653,12 @@
cat > conftest.$ac_ext << EOF
-#line 655 "configure"
+#line 657 "configure"
#include "confdefs.h"
main(){return(0);}
EOF
-if { (eval echo configure:660: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test
-s conftest${ac_exeext}; then
+if { (eval echo configure:662: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test
-s conftest${ac_exeext}; then
ac_cv_prog_cc_works=yes
# If we can't run a trivial program, we are probably using a cross compiler.
if (./conftest; exit) 2>/dev/null; then
@@ -682,12 +684,12 @@
{ echo "configure: error: installation or configuration problem: C compiler
cannot create executables." 1>&2; exit 1; }
fi
echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a
cross-compiler""... $ac_c" 1>&6
-echo "configure:686: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a
cross-compiler" >&5
+echo "configure:688: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a
cross-compiler" >&5
echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
cross_compiling=$ac_cv_prog_cc_cross
echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:691: checking whether we are using GNU C" >&5
+echo "configure:693: checking whether we are using GNU C" >&5
if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -696,7 +698,7 @@
yes;
#endif
EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:700: \"$ac_try\")
1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:702: \"$ac_try\")
1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
ac_cv_prog_gcc=yes
else
ac_cv_prog_gcc=no
@@ -715,7 +717,7 @@
ac_save_CFLAGS="$CFLAGS"
CFLAGS=
echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:719: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:721: checking whether ${CC-cc} accepts -g" >&5
if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -749,7 +751,7 @@
# Extract the first word of "ranlib", so it can be a program name with args.
set dummy ranlib; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:753: checking for $ac_word" >&5
+echo "configure:755: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -780,7 +782,7 @@
# Extract the first word of "ar", so it can be a program name with args.
set dummy ar; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:784: checking for $ac_word" >&5
+echo "configure:786: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -813,7 +815,7 @@
echo $ac_n "checking APR directory""... $ac_c" 1>&6
-echo "configure:817: checking APR directory" >&5
+echo "configure:819: checking APR directory" >&5
# Check whether --with-apr or --without-apr was given.
if test "${with_apr+set}" = set; then
withval="$with_apr"
@@ -838,8 +840,45 @@
echo "$ac_t""$APRDIR" 1>&6
+TGTDIRS="lib"
+echo "$ac_t""setting target directories to \"$TGTDIRS\"" 1>&6
+
+
+echo $ac_n "checking Apache HTTPd 1.3.x""... $ac_c" 1>&6
+echo "configure:849: checking Apache HTTPd 1.3.x" >&5
+# Check whether --with-apache or --without-apache was given.
+if test "${with_apache+set}" = set; then
+ withval="$with_apache"
+ TMPDIR=$withval
+else
+ TMPDIR=""
+fi
+
+if ! test -z "$TMPDIR" ; then
+ if ! test -d "$TMPDIR" ; then
+ { echo "configure: error: Invalid Apache 1.3.x directory \"$TMPDIR\"
specified" 1>&2; exit 1; }
+ fi
+ if ! test -f "$TMPDIR/apxs" ; then
+ { echo "configure: error: Cannot locate \"apxs\" in \"$TMPDIR\"" 1>&2;
exit 1; }
+ fi
+
+ CURDIR=`pwd`
+ cd $TMPDIR
+ TMPDIR=`pwd`
+ cd $CURDIR
+ APXS=$TMPDIR/apxs
+ echo "$ac_t""$APXS" 1>&6
+
+
+ TGTDIRS="$TGTDIRS apache-1.3"
+ echo "$ac_t""setting target directories to \"$TGTDIRS\"" 1>&6
+
+else
+ echo "$ac_t""no" 1>&6
+fi
+
echo $ac_n "checking sources directory""... $ac_c" 1>&6
-echo "configure:843: checking sources directory" >&5
+echo "configure:882: checking sources directory" >&5
SRCDIR=$srcdir
CURDIR=`pwd`
cd $SRCDIR
@@ -849,7 +888,7 @@
echo $ac_n "checking current (targets) directory""... $ac_c" 1>&6
-echo "configure:853: checking current (targets) directory" >&5
+echo "configure:892: checking current (targets) directory" >&5
TGTDIR=`pwd`
echo "$ac_t""$TGTDIR" 1>&6
@@ -1002,6 +1041,8 @@
s%@RANLIB@%$RANLIB%g
s%@AR@%$AR%g
s%@APRDIR@%$APRDIR%g
+s%@TGTDIRS@%$TGTDIRS%g
+s%@APXS@%$APXS%g
s%@SRCDIR@%$SRCDIR%g
s%@TGTDIR@%$TGTDIR%g
1.2 +37 -2 jakarta-tomcat-4.0/connectors/configure.in
Index: configure.in
===================================================================
RCS file: /home/cvs/jakarta-tomcat-4.0/connectors/configure.in,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- configure.in 2001/04/17 13:07:42 1.1
+++ configure.in 2001/04/17 14:54:47 1.2
@@ -57,7 +57,7 @@
dnl -----------------------------------------------------------------------------
dnl Author Pier Fumagalli <mailto:[EMAIL PROTECTED]>
-dnl Version $Id: configure.in,v 1.1 2001/04/17 13:07:42 pier Exp $
+dnl Version $Id: configure.in,v 1.2 2001/04/17 14:54:47 pier Exp $
dnl -----------------------------------------------------------------------------
dnl -----------------------------------------------------------------------------
@@ -85,7 +85,7 @@
dnl -----------------------------------------------------------------------------
AC_MSG_CHECKING([APR directory])
AC_ARG_WITH(apr,
- [ --with-apr=DIR where the compiled APR sources can be found
[../apr]],
+ [ --with-apr=DIR where the compiled APR sources can be found
[required]],
APRDIR=$withval,
APRDIR="")
if test -z "$APRDIR" ; then
@@ -103,6 +103,41 @@
cd $CURDIR
AC_MSG_RESULT($APRDIR)
AC_SUBST(APRDIR)
+
+TGTDIRS="lib"
+AC_MSG_RESULT([setting target directories to \"$TGTDIRS\"])
+AC_SUBST(TGTDIRS)
+
+dnl -----------------------------------------------------------------------------
+dnl Process the --with-apache=... command line argument
+dnl -----------------------------------------------------------------------------
+AC_MSG_CHECKING([Apache HTTPd 1.3.x])
+AC_ARG_WITH(apache,
+ [ --with-apache=DIR where the Apache 1.3.x APXS utility can be found],
+ TMPDIR=$withval,
+ TMPDIR="")
+if ! test -z "$TMPDIR" ; then
+ if ! test -d "$TMPDIR" ; then
+ AC_MSG_ERROR([Invalid Apache 1.3.x directory \"$TMPDIR\" specified])
+ fi
+ if ! test -f "$TMPDIR/apxs" ; then
+ AC_MSG_ERROR([Cannot locate \"apxs\" in \"$TMPDIR\"])
+ fi
+
+ CURDIR=`pwd`
+ cd $TMPDIR
+ TMPDIR=`pwd`
+ cd $CURDIR
+ APXS=$TMPDIR/apxs
+ AC_MSG_RESULT($APXS)
+ AC_SUBST(APXS)
+
+ TGTDIRS="$TGTDIRS apache-1.3"
+ AC_MSG_RESULT([setting target directories to \"$TGTDIRS\"])
+ AC_SUBST(TGTDIRS)
+else
+ AC_MSG_RESULT(no)
+fi
dnl -----------------------------------------------------------------------------
dnl Check where sources are
1.1 jakarta-tomcat-4.0/connectors/LICENSE.txt
Index: LICENSE.txt
===================================================================
+---------------------------------------------------------------------------+
| |
| The Apache Software License, Version 1.1 |
| |
| Copyright (c) 1999-2001 The Apache Software Foundation. |
| All rights reserved. |
| |
+---------------------------------------------------------------------------+
| |
| Redistribution and use in source and binary forms, with or without modi- |
| fication, are permitted provided that the following conditions are met: |
| |
| 1. Redistributions of source code must retain the above copyright notice |
| notice, this list of conditions and the following disclaimer. |
| |
| 2. Redistributions in binary form must reproduce the above copyright |
| notice, this list of conditions and the following disclaimer in the |
| documentation and/or other materials provided with the distribution. |
| |
| 3. The end-user documentation included with the redistribution, if any, |
| must include the following acknowlegement: |
| |
| "This product includes software developed by the Apache Software |
| Foundation <http://www.apache.org/>." |
| |
| Alternately, this acknowlegement may appear in the software itself, if |
| and wherever such third-party acknowlegements normally appear. |
| |
| 4. The names "The Jakarta Project", "WebApp", and "Apache Software |
| Foundation" must not be used to endorse or promote products derived |
| from this software without prior written permission. For written |
| permission, please contact <[EMAIL PROTECTED]>. |
| |
| 5. Products derived from this software may not be called "Apache" nor may |
| "Apache" appear in their names without prior written permission of the |
| Apache Software Foundation. |
| |
| THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES |
| INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY |
| AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL |
| THE APACHE SOFTWARE FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY |
| DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL |
| DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS |
| OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) |
| HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, |
| STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN |
| ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE |
| POSSIBILITY OF SUCH DAMAGE. |
| |
+---------------------------------------------------------------------------+
| |
| This software consists of voluntary contributions made by many indivi- |
| duals on behalf of the Apache Software Foundation. For more information |
| on the Apache Software Foundation, please see <http://www.apache.org/>. |
| |
+---------------------------------------------------------------------------+
CVS Revision $Id: LICENSE.txt,v 1.1 2001/04/17 14:54:43 pier Exp $
1.10 +0 -0 jakarta-tomcat-4.0/connectors/apache-1.3/mod_webapp.c
Index: mod_webapp.c
===================================================================
RCS file: /home/cvs/jakarta-tomcat-4.0/connectors/apache-1.3/mod_webapp.c,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- mod_webapp.c 2001/04/17 13:17:02 1.9
+++ mod_webapp.c 2001/04/17 14:54:54 1.10
@@ -57,7 +57,7 @@
/**
* @author Pier Fumagalli <mailto:[EMAIL PROTECTED]>
- * @version $Id: mod_webapp.c,v 1.9 2001/04/17 13:17:02 pier Exp $
+ * @version $Id: mod_webapp.c,v 1.10 2001/04/17 14:54:54 pier Exp $
*/
#include <httpd.h>